/*
 * $Id$
 */

package org.apache.maven.continuum.model.scm.v1_0_9;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;
import org.apache.maven.continuum.model.project.v1_0_9.BuildDefinition;
import org.apache.maven.continuum.model.project.v1_0_9.BuildResult;
import org.apache.maven.continuum.model.project.v1_0_9.ContinuumDatabase;
import org.apache.maven.continuum.model.project.v1_0_9.Project;
import org.apache.maven.continuum.model.project.v1_0_9.ProjectDependency;
import org.apache.maven.continuum.model.project.v1_0_9.ProjectDeveloper;
import org.apache.maven.continuum.model.project.v1_0_9.ProjectGroup;
import org.apache.maven.continuum.model.project.v1_0_9.ProjectNotifier;
import org.apache.maven.continuum.model.project.v1_0_9.Schedule;
import org.apache.maven.continuum.model.system.v1_0_9.NotificationAddress;
import org.apache.maven.continuum.model.system.v1_0_9.SystemConfiguration;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ChangeFile implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field name
     */
    private String name;

    /**
     * Field revision
     */
    private String revision;

    /**
     * Field status
     */
    private String status;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get null
     */
    public String getRevision()
    {
        return this.revision;
    } //-- String getRevision() 

    /**
     * Get null
     */
    public String getStatus()
    {
        return this.status;
    } //-- String getStatus() 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param revision
     */
    public void setRevision(String revision)
    {
        this.revision = revision;
    } //-- void setRevision(String) 

    /**
     * Set null
     * 
     * @param status
     */
    public void setStatus(String status)
    {
        this.status = status;
    } //-- void setStatus(String) 


            /**
             * Provide a version of the object as a string for debugging purposes
             *
             * @return a {@link String}made up of the properties of the object
             */
            public String toString()
            {
                StringBuffer buffer = new StringBuffer( getName() );

                if ( getRevision() != null )
                {
                    buffer.append( ", " ).append( getRevision() );
                }

                return buffer.toString();
            }
          
    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
