/*
 * $Id$
 */

package org.apache.maven.continuum.model.project.v1_0_9;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;
import org.apache.maven.continuum.model.scm.v1_0_9.ChangeFile;
import org.apache.maven.continuum.model.scm.v1_0_9.ChangeSet;
import org.apache.maven.continuum.model.scm.v1_0_9.ScmResult;
import org.apache.maven.continuum.model.scm.v1_0_9.SuiteResult;
import org.apache.maven.continuum.model.scm.v1_0_9.TestCaseFailure;
import org.apache.maven.continuum.model.scm.v1_0_9.TestResult;
import org.apache.maven.continuum.model.system.v1_0_9.NotificationAddress;
import org.apache.maven.continuum.model.system.v1_0_9.SystemConfiguration;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class ProjectDeveloper implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field scmId
     */
    private String scmId;

    /**
     * Field name
     */
    private String name;

    /**
     * Field email
     */
    private String email;

    /**
     * Field continuumId
     */
    private int continuumId = 0;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get null
     */
    public int getContinuumId()
    {
        return this.continuumId;
    } //-- int getContinuumId() 

    /**
     * Get null
     */
    public String getEmail()
    {
        return this.email;
    } //-- String getEmail() 

    /**
     * Get null
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Get null
     */
    public String getScmId()
    {
        return this.scmId;
    } //-- String getScmId() 

    /**
     * Set null
     * 
     * @param continuumId
     */
    public void setContinuumId(int continuumId)
    {
        this.continuumId = continuumId;
    } //-- void setContinuumId(int) 

    /**
     * Set null
     * 
     * @param email
     */
    public void setEmail(String email)
    {
        this.email = email;
    } //-- void setEmail(String) 

    /**
     * Set null
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Set null
     * 
     * @param scmId
     */
    public void setScmId(String scmId)
    {
        this.scmId = scmId;
    } //-- void setScmId(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
